"""
@author: luojunhui
"""
import json
import uuid
import requests
import urllib.parse

from applications.functions.auto_white import auto_white


def create_gzh_path(video_id, shared_uid):
    """
    :param video_id: 视频 id
    :param shared_uid: 分享 id
    """
    root_share_id = str(uuid.uuid4())
    url = f"pages/user-videos?id={video_id}&su={shared_uid}&fromGzh=1&rootShareId={root_share_id}&shareId={root_share_id}"
    # 自动把 root_share_id 加入到白名单
    auto_white(root_share_id)
    return root_share_id, f"pages/category?jumpPage={urllib.parse.quote(url, safe='')}"


def request_for_info(video_id):
    """
    请求数据
    :param video_id:
    :return:
    """
    url = "https://longvideoapi.piaoquantv.com/longvideoapi/openapi/video/batchSelectVideoInfo"
    data = {
        "videoIdList": [video_id]
    }
    header = {
        "Content-Type": "application/json",
    }
    response = requests.post(url, headers=header, data=json.dumps(data))
    return response.json()


def choose_video(result):
    """
    :param result: 计算出来的结果
    :return: uid, video_id
    """
    score1 = result['s1_score']
    if score1 > 0:
        return result['s1_uid'], result['s1_vid']
    else:
        return None, None
